#ifndef METABALL
#define METABALL

#define QUAD(x) ((x)*(x))

#include <allegro.h>
#include <list>

using namespace std;

class Ball
{
    public:
    double weight;
    double x, y, dx, dy;
    
    Ball(int x, int y, double dx, double dy);
    void Update(Ball* b);
    void DoUpdate();
    double Distance(double x, double y);
};


class MetaBall
{
    public:
    BITMAP* bmp;
    list<Ball*> ball;
    list<Ball*>::iterator it;
    list<Ball*>::iterator it2;
    int width, height;
    
    MetaBall::MetaBall(int width, int height);
    MetaBall::~MetaBall();
    void MetaBall::Update();
    void MetaBall::Draw(BITMAP* dest, int x, int y);
};
#endif
