#include <allegro.h>
#include <time.h>
#include "MetaBall.h"

int main() 
{	
	allegro_init();
	install_keyboard();
	
	set_color_depth(32);
	set_gfx_mode(GFX_AUTODETECT_WINDOWED, 640, 700, 0, 0);
	
	BITMAP* buffer = create_bitmap(SCREEN_W, SCREEN_H);
	
	MetaBall* mb = new MetaBall(SCREEN_W, SCREEN_H);
	mb->ball.push_back(new Ball(300,100,0,0));
	mb->ball.push_back(new Ball(200,400,0,0));
	mb->ball.push_back(new Ball(400,400,0,0));
	
	long start, end;

    while(!key[KEY_ESC])
    {
       start = clock(); 
	   mb->Update();
	   mb->Draw(buffer,0,0);
	   if(start != (end = clock()))
	       textprintf_ex(buffer, font, 0, 0, makecol(255,255,255), -1, "Fps: %d", (int)(1 / ((double)(end - start) / CLOCKS_PER_SEC)));
	       
	   draw_sprite(screen, buffer, 0, 0);
    }
    
    destroy_bitmap(buffer);
    delete mb;
	
	return 0;
}
END_OF_MAIN();
